### Method

# Soup Server pause_message

deprecated: 3.2

#### Declaration [src]

    void
    soup_server_pause_message (
      SoupServer* server,
      SoupServerMessage* msg
    )

#### Description [src]

Pauses I/O on `msg`.

This can be used when you need to return from the server handler without having the full response ready yet. Use `soup_server_unpause_message()` to resume I/O.

This must only be called on a `SoupServerMessage` which was created by the `SoupServer` and are currently doing I/O, such as those passed into a `SoupServerCallback` or emitted in a `SoupServer::request-read` signal.

Deprecated since: 3.2

Use `soup_server_message_pause()` instead.

#### Parameters

`msg`

  Type: `SoupServerMessage`

  A `SoupServerMessage` associated with `server`.

  The data is owned by the caller of the function.